update-manager seems to have an unnecessary recommends on gir1.2-unity-5.0

Bug #1029764 reported by Micah Gersten on 2012-07-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Low
Unassigned
Quantal
Low
Unassigned

Bug Description

This pulls in libunity9 and some dependent libraries that seemingly aren't needed unless you're running unity or a service that acts in a similar fashion. If this assessment is correct, could that Recommends be reduced to a Suggests?

Quoting from Debian Policy 7.2:

Recommends

    This declares a strong, but not absolute, dependency.

    The Recommends field should list packages that would be found together with this one in all but unusual installations.

tags: added: quantal
Michael Terry (mterry) on 2012-07-30
Changed in update-manager (Ubuntu):
status: Triaged → Fix Committed
tags: removed: rls-q-incoming
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.169

---------------
update-manager (1:0.169) quantal; urgency=low

  [ Michael Terry ]
  * Drop Unity-support gir Recommends down to Suggests. LP: #1029764

  [ sampo555 ]
  * lp:~sampo555/update-manager/fix-for-1031280:
    - Convert SystemError into string in order to avoid TypeError in
      UpdateManager.refresh_cache SystemError handles. Fixes LP: #1031280

  [ Robert Park ]
  * Allow test suite to not need to be run as root

  [ Michael Vogt ]
  * lp:~mvo/update-manager/phased-updates:
    - Implement the client part of the "foundations-q-phased-updates".
      This allows to deploy updates in phases where only a subset of
      the users will get a update, controlled via the
      Phased-Updates-Percentage tag in the Packages file.
 -- Michael Vogt <email address hidden> Tue, 21 Aug 2012 09:21:32 +0200

Changed in update-manager (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers